<wo:form>
  <wo:CktlAjaxSimpleTableView  id = "$tableViewId" displayGroup = "$displayGroup" item = "$currentItem" triMultiColonneEnabled = "true" selectionMultipleEnabled = "false" useFixedHeader = "false" updateContainerID = "$buttonsContainerId">
    <wo:CktlAjaxSimpleTableViewHeader>
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.OffreFormation.TableViews.ColonneComposante" />
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneAP" sortKeypath="affichageEnseignement" />
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneType" sortKeypath = "composantAP.typeAP.code" />
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneHETD" />
      <wo:conditional condition = "$isCircuitDefinitif"> <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneHeuresRealisees" /> </wo:conditional>
      <wo:CktlAjaxSimpleTableViewColumn label = "Etat" />
    </wo:CktlAjaxSimpleTableViewHeader>
    <wo:CktlAjaxSimpleTableViewBody>
    <wo:if condition = "$hasCommentaire">
      <td class = cktlToolTip style = "cursor: pointer" align = "left"><wo:string value = "$composanteParentAP"/><span><br><b>Commentaire:</b><br><wo:string value = "$currentItemCommentaire"  escapeHTML=false/><br></span></td>
      <td class = cktlToolTip style = "cursor: pointer" align = "left"><wo:string value = "$currentItem.affichageEnseignement" /><span><br><b>Commentaire:</b><br><wo:string value = "$currentItemCommentaire"  escapeHTML=false/><br></span></td>
      <td class = cktlToolTip style = "cursor: pointer" align = "left"><wo:string value = "$currentItem.composantAP.typeAP.code" /><span><br><b>Commentaire:</b><br><wo:string value = "$currentItemCommentaire"  escapeHTML=false/><br></span></td>
      <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresPrevues" /> </td>
      <wo:if condition = "$isCircuitDefinitif">
        <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresRealisees" /> </td>
      </wo:if>
      <td class = cktlToolTip style = "cursor: pointer" align = "left"><wo:string value = "$etatRepartition" /><span><br><b>Commentaire:</b><br><wo:string value = "$currentItemCommentaire"  escapeHTML=false/><br></span></td> 
    </wo:if>
    <wo:else>
      <td align = "left"><wo:string value = "$composanteParentAP" /></td>
      <td align = "left"><wo:string value = "$currentItem.affichageEnseignement" /></td>
      <td align = "left"><wo:string value = "$currentItem.composantAP.typeAP.code" /></td>
      <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresPrevues" /> </td>
      <wo:if condition = "$isCircuitDefinitif">
        <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresRealisees" /> </td>
      </wo:if>
      <td align = "left"><wo:string value = "$etatRepartition" /> </td>
    </wo:else>
    </wo:CktlAjaxSimpleTableViewBody>
    <wo:CktlAjaxSimpleTableViewFooter>
      <td colspan = "3" style = "background-color : #FFFCF8;" >  </td>
      <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPrevues" /></td>
      <wo:conditional condition = "$isCircuitDefinitif">
        <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresRealisees" /></td> 
      </wo:conditional>
      <td style = "background-color : #FFFCF8;" >  </td>
    </wo:CktlAjaxSimpleTableViewFooter>
  </wo:CktlAjaxSimpleTableView>
  <wo:AjaxUpdateContainer id = "$buttonsContainerId">
    <wo:CktlSubmitButton type = "add" action = "$ajouterAction" text = "$session.localizer.application.boutonAjouter" disabled = "$boutonsActifs" />
    <wo:CktlSubmitButton type = "edit" action = "$modifierAction" text = "$session.localizer.application.boutonModifier" disabled = "$boutonsModifsActifs" />
    <wo:CktlAjaxButton type = "delete" action = "$deleteAction" text = "$session.localizer.application.boutonSupprimer" disabled = "$boutonsModifsActifs" updateContainerID = "$tableViewId" onClickBefore = "$onClickBefore" />
  </wo:AjaxUpdateContainer>
</wo:form>